{ -------------------------------------------------------------------- }
{ Dieser Quelltext ist urheberrechtlich geschuetzt.                    }
{ (c) 2005-2024 FreeXP, http://www.freexp.de                           }
{ CrossPoint ist eine eingetragene Marke von Peter Mandrella.          }
{                                                                      }
{ Die Nutzungsbedingungen fuer diesen Quelltext finden Sie in der      }
{ Datei SLIZENZ.TXT oder auf http://www.crosspoint.de/oldlicense.html. }
{ -------------------------------------------------------------------- }

{ FreeXP - BuildHelper }

{$I XPDEFINE.INC }

program fxpbhelp;

uses dos,xpglobal,timemark,dosx;

procedure logo;
begin
  writeln;
  writeln('FXPHELP - FreeXP Build Helper');
  writeln(xp_display,'-Version ',verstr,betastr,'  ',x_copyright,
            ' by ',author_name,' <',author_mail,'>');
  writeln;
end;

begin
 StandardIO;
 logo;
 if paramcount<>1 then halt;
 if paramstr(1)='OVR' then begin
      writeln ('OVR-TESTING');
      {$IFDEF USEOVR}
      setmark('XP.OVR');
      halt(10);
      {$ELSE}
      halt;
      {$ENDIF}
    end;
 writeln('Unbekannter TEST');
end.
